[class|=switch] {
  position: relative;
  display: inline-block;
  width: 42px;
  height: 19px;
  border-radius: 16px;
  line-height: 19px;
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
  vertical-align: middle;
  cursor: pointer;
  box-sizing: content-box;
}
.switch-on {
  border: 1px solid #fff;
  box-shadow: #fff 0 0 0 16px inset;
  transition: border 0.4s, box-shadow 0.2s, background-color 1.2s;
  background-color: #fff;
}
.switch-off {
  border: 1px solid #dfdfdf;
  transition: border 0.4s, box-shadow 0.4s;
  background-color: #fff;
  box-shadow: #dfdfdf 0 0 0 0 inset;
}
.slider {
  position: absolute;
  display: inline-block;
  width: 19px;
  height: 19px;
  background: #fff;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
  border-radius: 50%;
  left: 0;
  top: 0;
  z-index: 2;
  transition: left 0.2s, background-color 0.4s;
}
.switch-on .slider {
  left: 24px;
}
.switch-off .slider {
  left: 0;
}
.switch-on.switch-disabled,
.switch-off.switch-disabled {
  opacity: 0.5;
  cursor: auto;
}
.switch-off.switch-disabled {
  background-color: #f0f0f0 !important;
}

